<?
include_once ("./static_data/code.php");
$menu_code = '123';
require_once (APPPATH.'views/skin/admin/_content_comm.php');


$arr_blind_setting = array();
foreach ($list as $val) {
    $arr_blind_setting[$val['idx']] = array('limit_count'=>$val['limit_count'], 'limit_type'=>$val['limit_type'], 'limit_status'=>$val['limit_status'], 'limit_day'=>$val['limit_day'], 'limit_content'=>$val['limit_content']);
}


?>


<form name="input_form" id="input_form" action="/admin/setting/blind_setting_reg_proc" method="post">
<div class="common_table">
	<table>
	<tr>
		<th>블라인드제재</br>알림설정</th>
		<td class="tl">
            <b>블라인드 누적으로 제재를 당할 경우 알림내용을 설정 합니다.</b></br>
            - 사용가능 추출태그</br>
            {{제재내용}} , {{제재만료일시}}</br></br>
            1) 페이지 접근시 경고창 내용 (게시글 작성, 열람 불가시 또는 로그인 불가시)</br>

            <div style="border:1px solid #ccc; width:500px;padding:10px;background-color:#ebebeb;margin-bottom: 10px">
                블라인드 누적으로 인해 기능이 제한 되었습니다.</br></br>

                제제내용 : {{제재내용}}</br>
                제제기간 : {{제재만료일시}} 까지</br>
            </div>

            2) 게시판 리스트에 출력할 내용(게시판 이용 불가시) </br>
            <div style="border:1px solid #ccc; width:500px;padding:10px;background-color:#ebebeb">
                블라인드 누적으로 인해 <br>
                <span class="red">{{제재만료일시}}</span> 까지<br>
                게시글 보기가 제한되었습니다.
            </div>
        </td>
	</tr>

	<tr>
		<th>블라인드제재</br>단계별 설정</th>
		<td class="tl">
			<b>블라인드 회수에 따른 제재방식 및 기간 등을 설정합니다.</b></br>
            <table>
            <tr>
                <th></th>
                <th>횟수</th>
                <th>제재내용</th>
                <th>기간</th>
                <th>경고메일내용</th>
            </tr>
<?      for ($i=1;$i<=5;$i++) {
            $limit_count    = $arr_blind_setting[$i]['limit_count'];
            $limit_type     = $arr_blind_setting[$i]['limit_type'];

            $limit_day      = $arr_blind_setting[$i]['limit_day'];
            $limit_content  = $arr_blind_setting[$i]['limit_content'];

            $disabled = '';
            if($limit_type == '0' || $limit_type == '3' || $limit_type == '4') {
                $disabled = 'disabled'; $limit_day = '-';
            }
?>
             <tr>
                <th><?=$i?>단계</th>
                <td><input type="text" name="limit_count<?=$i?>" id="limit_count<?=$i?>" value="<?=$limit_count?>" class="type03">회</td>
                <td>
                    <select name="limit_type<?=$i?>" id="limit_type<?=$i?>" style="width:120px" onchange="change_limit_type('<?=$i?>', this.value);">
                        <option value="">선택</option>
                <? 	foreach ($def_arr_blind_limit_type as $key1=>$val1) {?>
                        <option value="<?=$key1?>" <? if($limit_type==(string)$key1) { echo 'selected';}?>><?=$val1?></option>
                <? 	}?>
                    </select>
                </td>
                <td><input type="text" name="limit_day<?=$i?>" id="limit_day<?=$i?>" value="<?=$limit_day?>" class="type03" <?=$disabled?>>일</td>
                <td style="width:250px">
                    <textarea name="limit_content<?=$i?>" id="limit_content<?=$i?>" cols="2"><?=$limit_content?></textarea>
                </td>
            </tr>

<?     }?>
            </table>

		</td>
	</tr>

	</table>
</div>
<div class="write_btn tc">
	<a href="javascript:blind_setting_reg_proc()">저장하기</a>
</div>

</form>



<script type="text/javascript">
function blind_setting_reg_proc(){

    if(checkNumber($("#limit_count1").val())==false) {
        alert("횟수를 확인해주세요.");
        return false;
    }
    if($("#limit_count1").val()==0) {
        alert("횟수를 입력해주세요.");
        return false;
    }
    if($("#limit_type1").val()=='') {
        alert("재제내용을 선택해주세요.");
        return false;
    }
    if($("#limit_day1").val()=='') {
        alert("재제일을 선택해주세요.");
        return false;
    }

    if($("#limit_content1").val()=='') {
        alert("경고메일내용을 입력해주세요.");
        return false;
    }

    for(var i=2;i<=5;i++) {
        if($("#limit_count"+i).val() > 0) {
            if(checkNumber($("#limit_count2").val())==false) {
                alert("횟수를 확인해주세요.");
                return false;
            }
            if($("#limit_type"+i).val()=='') {
                alert("재제내용을 선택해주세요.");
                return false;
            }
            if($("#limit_day"+i).val()=='') {
                alert("재제일을 선택해주세요.");
                return false;
            }
            if($("#limit_content"+i).val()=='') {
                alert("경고메일내용을 입력해주세요.");
                return false;
            }
        }

    }

    $("#input_form").submit();

}



function change_limit_type(key, val){
    if(val == '0' || val == '3' || val == '4' ) {
        $('#limit_day'+key).val('-');
        $('#limit_day'+key).attr('disabled', true);
    } else {
        $('#limit_day'+key).val('');
        $('#limit_day'+key).removeAttr('disabled');
    }


}

</script>